package mesClasses;

public class TableauxUtils {

	public static void affiche(int[] t)
	{
		for (int i=0; i < t.length; i++)
		{
			System.out.println("["+i+"]="+t[i]);
		}
	}
	public static void triInsertion(int[] t)
	{
		int i,j,m;
		for (i=1; i < t.length; i++)
		{
			m=t[i];
			j=i;
			while (j>0 && t[j-1]>m)
			{
				t[j]=t[j-1];
				j=j-1;
			}
			t[j]=m;
		}
	}
	
	public static double moyenne(double[] t)
	{
		double res=0;
		for (int i=0; i < t.length; i++)
		{
			res +=t[i];
		}
		res = res / t.length;
		return res;
	}
	
	public static double[] minMaxMoyenne(double[] t)
	{
		double[] res;
		res = new double[3];
		double min;
		double max;
		min = t[0];
		max = t[0];
		for (int i=1; i<t.length; i++)
		{
			if (t[i]<min)
				min = t[i];
			if (t[i] > max)
				max = t[i];
		}
		res[0]=min;
		res[1]=max;
		res[2]=moyenne(t);
		return res;
	}
	
	public static double[] supMoyenne(double[] t)
	{
		double[] res;
		int cpt = 0;
		double moyenne;
		moyenne = moyenne(t);
		for (int i=0; i < t.length; i++)
		{
			if (t[i]>moyenne)
			{
				cpt++;
			}
		}
		res = new double[cpt];
		cpt=0;
		for (int i=0; i < t.length; i++)
		{
			if (t[i]>moyenne)
			{
				res[cpt]=t[i];
				cpt++;
			}
		}
		return res;
	}
}
